net.minecraftforge.common

## Enum BiomeDictionary.Type

- java.lang.Object
- - java.lang.Enum<BiomeDictionary.Type>
  - - net.minecraftforge.common.BiomeDictionary.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BiomeDictionary.Type>
  Enclosing class:
    BiomeDictionary

      public static enum BiomeDictionary.Type
      extends java.lang.Enum<BiomeDictionary.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEACH`
    `DESERT`
    `END`
    `FOREST`
    `FROZEN`
    `HILLS`
    `JUNGLE`
    `MAGICAL`
    `MOUNTAIN`
    `MUSHROOM`
    `NETHER`
    `PLAINS`
    `SWAMP`
    `WASTELAND`
    `WATER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BiomeDictionary.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BiomeDictionary.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FOREST

          public static final BiomeDictionary.Type FOREST

    - #### PLAINS

          public static final BiomeDictionary.Type PLAINS

    - #### MOUNTAIN

          public static final BiomeDictionary.Type MOUNTAIN

    - #### HILLS

          public static final BiomeDictionary.Type HILLS

    - #### SWAMP

          public static final BiomeDictionary.Type SWAMP

    - #### WATER

          public static final BiomeDictionary.Type WATER

    - #### DESERT

          public static final BiomeDictionary.Type DESERT

    - #### FROZEN

          public static final BiomeDictionary.Type FROZEN

    - #### JUNGLE

          public static final BiomeDictionary.Type JUNGLE

    - #### WASTELAND

          public static final BiomeDictionary.Type WASTELAND

    - #### BEACH

          public static final BiomeDictionary.Type BEACH

    - #### NETHER

          public static final BiomeDictionary.Type NETHER

    - #### END

          public static final BiomeDictionary.Type END

    - #### MUSHROOM

          public static final BiomeDictionary.Type MUSHROOM

    - #### MAGICAL

          public static final BiomeDictionary.Type MAGICAL

  - ### Method Detail

    - #### values

          public static BiomeDictionary.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BiomeDictionary.Type c : BiomeDictionary.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BiomeDictionary.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null